diff -Naur KWGR614_V1.0.1_10.17WW/tools/romfs-inst.sh KWGR614_V1.0.1_10.17WW.mrproper/tools/romfs-inst.sh
--- KWGR614_V1.0.1_10.17WW/tools/romfs-inst.sh	2006-03-07 07:06:27.000000000 +0100
+++ KWGR614_V1.0.1_10.17WW.mrproper/tools/romfs-inst.sh	2007-09-03 01:05:20.000000000 +0200
@@ -123,11 +123,8 @@
 dst=
 STRIP=/uclibc/toolchain_mips/bin/mips-linux-strip
 
-echo "opt $opt"
-
 while getopts 've:o:A:p:a:l:s:' opt "$@"
 do
-	echo "$opt"
 	case "$opt" in
 	v) v="1";                           ;;
 	o) option="$OPTARG";                ;;
diff -Naur KWGR614_V1.0.1_10.17WW/uClibc/Makefile KWGR614_V1.0.1_10.17WW.mrproper/uClibc/Makefile
--- KWGR614_V1.0.1_10.17WW/uClibc/Makefile	2005-12-21 03:30:39.000000000 +0100
+++ KWGR614_V1.0.1_10.17WW.mrproper/uClibc/Makefile	2007-09-01 18:39:15.000000000 +0200
@@ -95,7 +95,7 @@
 romfs:
 	@if [ "$(CONFIG_BINFMT_SHARED_FLAT)" = "y" ]; then \
 		[ -e $(ROMFSDIR)/lib ] || $(INSTALL) -d $(ROMFSDIR)/lib; \
-		$(ROMFSINST) $(SHARED_TARGET) /lib/lib$(LIBID).so; \
+		$(ROMFSINST) $(SHARED_TARGET) lib/lib$(LIBID).so; \
 	fi
 ifeq ($(strip $(HAVE_SHARED)),y)
 	$(INSTALL) -d $(ROMFSDIR)/lib
@@ -107,7 +107,7 @@
 	    $(INSTALL) -m 755 lib/ld-uClibc-$(MAJOR_VERSION).$(MINOR_VERSION).$(SUBLEVEL).so \
 	    		$(ROMFSDIR)/lib; \
 		$(ROMFSINST) -s \
-			/lib/ld-uClibc-$(MAJOR_VERSION).$(MINOR_VERSION).$(SUBLEVEL).so \
+			../../uClibc/lib/ld-uClibc-$(MAJOR_VERSION).$(MINOR_VERSION).$(SUBLEVEL).so \
 			/lib/ld-linux.so.2; \
 	fi;
 endif
diff -Naur KWGR614_V1.0.1_10.17WW/vendors/Realtek/RTL865XB/Makefile KWGR614_V1.0.1_10.17WW.mrproper/vendors/Realtek/RTL865XB/Makefile
--- KWGR614_V1.0.1_10.17WW/vendors/Realtek/RTL865XB/Makefile	2006-05-16 09:36:15.000000000 +0200
+++ KWGR614_V1.0.1_10.17WW.mrproper/vendors/Realtek/RTL865XB/Makefile	2007-09-03 01:27:50.000000000 +0200
@@ -5,7 +5,7 @@
 ROMFSIMG = $(IMAGEDIR)/romfs.img
 IMAGE    = $(IMAGEDIR)/image.bin
 KERNEL_FLASH_SIZE :=  $(shell awk  '/CONFIG_FLASH_SIZE_OF_KERNEL/ {print $$3}' $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h )
-KSIZE_DEC := $(shell wc -c $(IMAGEDIR)/kernel.bin.gz | awk '{ print $$1}')
+KSIZE_DEC := $(shell wc -c $(IMAGEDIR)/kernel.bin.lzma | awk '{ print $$1}')
 KSIZE_HEX := $(shell printf "0x%x" $(KSIZE_DEC))
 KFS_DECIMAL := $(shell printf "%d" $(KERNEL_FLASH_SIZE))
 PAD := $(shell expr $(KFS_DECIMAL) - $(KSIZE_DEC))
@@ -52,8 +52,8 @@
 	hda3,b,3,3 hda4,b,3,4 hda5,b,3,5 \
 	hda6,b,3,6 hda7,b,3,7 hda8,b,3,8 hda9,b,3,9 \
 	hdb,b,3,64 hdb1,b,3,65 hdb2,b,3,66 \
-	hdb3,b,3,67 hdb1,b,4,68 hdb5,b,3,69 \
-	hdb6,b,3,70 hdb7,b,3,71 hdb8,b,3,72 hdb8,b,3,73 \
+	hdb3,b,3,67 hdb4,b,4,68 hdb5,b,3,69 \
+	hdb6,b,3,70 hdb7,b,3,71 hdb8,b,3,72 hdb9,b,3,73 \
 	hdc,b,22,0 hdc1,b,22,1 hdc2,b,22,2 hdc3,b,22,3 \
 	hdc4,b,22,4 hdc5,b,22,5 hdc6,b,22,6 hdc7,b,22,7 \
 	hdc8,b,22,8 hdc9,b,22,9 \
@@ -85,13 +85,13 @@
 	if egrep "^#define CONFIG_BLK_DEV_BLKMEM 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null; then \
 	for i in $(DEVICES); do \
 		touch $(ROMFSDIR)/dev/@$$i; \
-	done\
+	done \
 	fi
 
 	if egrep "^#define CONFIG_MTD 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null; then \
 	for i in $(DEVICES); do \
-		 sudo mknod  $(ROMFSDIR)/dev/`echo $$i|sed 's/,/ /g'`;\
-	done\
+		 sudo mknod  $(ROMFSDIR)/dev/`echo $$i|sed 's/,/ /g'`; \
+	done \
 	fi
 
 	$(ROMFSINST) -s var/tmp /tmp
@@ -138,10 +138,10 @@
 	$(ROMFSINST) -s /bin/boa /bin/ip-up
 	$(ROMFSINST) -s /bin/boa /bin/ip-down
 	$(ROMFSINST) -s /bin/boa /bin/udhcpchook
-	$(ROMFSINST) -s /bin/boa /bin/crond_script		
-#	$(ROMFSINST) -s /www/contents1-ko.html /www/contents1.html	
-	$(ROMFSINST) -s /www/contents1.html /www/contents.html	
-	$(ROMFSINST) -s /bin/boa /bin/flash		
+	$(ROMFSINST) -s /bin/boa /bin/crond_script
+#	$(ROMFSINST) -s /www/contents1-ko.html /www/contents1.html
+	$(ROMFSINST) -s /www/contents1.html /www/contents.html
+	$(ROMFSINST) -s /bin/boa /bin/flash
 	
 	
 	$(ROMFSINST) -s /var/syslog /dev/log
@@ -179,7 +179,7 @@
 	cp -f l2tp.options.old l2tp.options; \
 	fi
 
-	$(ROMFSINST) /etc/ppp.options; \
+	$(ROMFSINST) /etc/ppp.options
 
 	if egrep "^#define CONFIG_RTL865X_PPTPL2TP 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null; then \
 	$(ROMFSINST) /etc/pptp.options; \
@@ -205,12 +205,12 @@
 
 
 #   for TOPRO tp6800 WebCam
-	$(ROMFSINST) -s /var/tp6800.jpg /www/tp6800.jpg
+#	$(ROMFSINST) -s /var/tp6800.jpg /www/tp6800.jpg
 
 	if egrep "^#define CONFIG_RTL865X_3G 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null; then \
 		$(ROMFSINST) /bin/pppd-3g; \
 		$(ROMFSINST) /bin/chat; \
-		$(ROMFSINST) /etc/ppp/peers/evdo ; \
+		$(ROMFSINST) /etc/ppp/peers/evdo; \
 		$(ROMFSINST) /etc/ppp/evdo-connect-chat; \
 		$(ROMFSINST) /etc/ppp/evdo-disconnect-chat; \
 		$(ROMFSINST) /etc/ppp/evdo-options; \
@@ -222,7 +222,7 @@
 		$(ROMFSINST) /etc/ppp/gprs-chap-secrets; \
 	fi
 
-	if egrep "^#define CONFIG_RTL865X_FREESWAN 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
+	if egrep "^#define CONFIG_RTL865X_FREESWAN 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
 		cp -af local $(ROMFSDIR)/usr; \
 	fi
 
@@ -235,49 +235,49 @@
 	[ -d $(IMAGEDIR) ] || mkdir -p $(IMAGEDIR)
 	-$(STRIP) -g $(ROOTDIR)/romfs/bin/*
 	-$(STRIP) -g $(ROOTDIR)/romfs/*
-	$(ROOTDIR)/tools/genromfs -v -V "ROMdisk" -f $(ROMFSIMG) -d $(ROMFSDIR);
+	$(ROOTDIR)/tools/genromfs -v -V "ROMdisk" -f $(ROMFSIMG) -d $(ROMFSDIR)
 	$(LD)	-EB -Tld.script.rd -b binary -o $(IMAGEDIR)/rom_image $(ROMFSIMG)
 	$(MAKEARCH_KERNEL) -C $(ROOTDIR)/$(LINUXDIR) image
 	$(OBJCOPY) -S -O binary $(ROOTDIR)/$(LINUXDIR)/vmlinux $(IMAGEDIR)/run.bin  
-	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	$(ROOTDIR)/tools/lzma e $(IMAGEDIR)/run.bin $(IMAGEDIR)/run.bin.lzma -a1 -d18;\
-	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/run.bin.lzma r 0 $(IMAGEDIR)/run.bix;\
-	fi
-	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	gzip -9f $(IMAGEDIR)/run.bin;\
-	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/run.bin.gz r 0 $(IMAGEDIR)/run.bix;\
+	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	$(ROOTDIR)/tools/lzma e $(IMAGEDIR)/run.bin $(IMAGEDIR)/run.bin.lzma -a1 -d18; \
+	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/run.bin.lzma r 0 $(IMAGEDIR)/run.bix; \
+	fi
+	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	gzip -9f $(IMAGEDIR)/run.bin; \
+	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/run.bin.gz r 0 $(IMAGEDIR)/run.bix; \
 	fi
 kernel_image:
 	$(OBJCOPY) -S -O binary $(ROOTDIR)/$(LINUXDIR)/vmlinux $(IMAGEDIR)/kernel.bin
-	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	$(ROOTDIR)/tools/lzma e $(IMAGEDIR)/kernel.bin $(IMAGEDIR)/kernel.bin.lzma -a1 -d18;\
+	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	$(ROOTDIR)/tools/lzma e $(IMAGEDIR)/kernel.bin $(IMAGEDIR)/kernel.bin.lzma -a1 -d18; \
 	fi
-	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	gzip -9f $(IMAGEDIR)/kernel.bin;\
+	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	gzip -9f $(IMAGEDIR)/kernel.bin; \
 	fi
 rootfs_image:
 	[ -d $(IMAGEDIR) ] || mkdir -p $(IMAGEDIR)
 	-$(STRIP) -g $(ROOTDIR)/romfs/bin/*
 	-$(STRIP) -g $(ROOTDIR)/romfs/*
-	if egrep "^#define CONFIG_IMAGE_CRAMFS 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null ; then\
-		mkcramfs    $(ROMFSDIR) $(IMAGEDIR)/cramfs.img;\
+	if egrep "^#define CONFIG_IMAGE_CRAMFS 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null ; then \
+		mkcramfs    $(ROMFSDIR) $(IMAGEDIR)/cramfs.img; \
 	fi
-	if egrep "^#define CONFIG_IMAGE_SQUASH 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null;  then\
-	$(ROOTDIR)/tools/mksquashfs $(ROMFSDIR) $(IMAGEDIR)/cramfs.img -be -noappend;\
+	if egrep "^#define CONFIG_IMAGE_SQUASH 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null;  then \
+	$(ROOTDIR)/tools/mksquashfs $(ROMFSDIR) $(IMAGEDIR)/cramfs.img -be -noappend; \
 	fi
-	if egrep "^#define CONFIG_IMAGE_SQUASH_LZMA 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null;  then\
-	$(ROOTDIR)/tools/mksquashfs-lzma $(ROMFSDIR) $(IMAGEDIR)/cramfs.img -be -noappend;\
-        fi
-	if [ "$(PAD)"  -lt 50 ] ;then\
-		echo -e  "\n\nError Kernel size is bigger than flash size of kernel";\
-		echo -e "KERNEL size $(KSIZE_HEX) is Too Big Flash size only $(KERNEL_FLASH_SIZE)\n\n";\
-		exit 1;\
+	if egrep "^#define CONFIG_IMAGE_SQUASH_LZMA 1" $(ROOTDIR)/$(LINUXDIR)/include/linux/autoconf.h > /dev/null;  then \
+	$(ROOTDIR)/tools/mksquashfs-lzma $(ROMFSDIR) $(IMAGEDIR)/cramfs.img -be -noappend; \
 	fi
-	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/kernel.bin.lzma r 0 $(IMAGEDIR)/kernel.bix;\
+	if [ "$(PAD)"  -lt 50 ] ; then \
+		echo -e  "\n\nError Kernel size is bigger than flash size of kernel"; \
+		echo -e "KERNEL size $(KSIZE_HEX) is Too Big Flash size only $(KERNEL_FLASH_SIZE)\n\n"; \
+		exit 1; \
 	fi
-	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then\
-	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/kernel.bin.gz r 0 $(IMAGEDIR)/kernel.bix;\
+	if egrep "^#define CONFIG_LZMA_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/kernel.bin.lzma r 0 $(IMAGEDIR)/kernel.bix; \
+	fi
+	if egrep "^#define CONFIG_GZIP_COMPRESSION 1" ../../../linux-2.4.x/include/linux/autoconf.h > /dev/null; then \
+	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/kernel.bin.gz r 0 $(IMAGEDIR)/kernel.bix; \
 	fi
 	$(ROOTDIR)/tools/kfspad  $(IMAGEDIR)/kernel.bix $(KERNEL_FLASH_SIZE)  $(IMAGEDIR)/cramfs.img $(IMAGEDIR)/run.bin
 	$(ROOTDIR)/tools/packbin  $(IMAGEDIR)/run.bin k 0 $(IMAGEDIR)/run.bix
